unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Image1: TImage;
    circle: TButton;
    line: TButton;
    rectangle: TButton;
    finish: TButton;
    procedure FormCreate(Sender: TObject);
    procedure finishClick(Sender: TObject);
    procedure lineClick(Sender: TObject);
    procedure circleClick(Sender: TObject);
    procedure rectangleClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses Math;

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
 Randomize;
 image1.Canvas.Pen.Color := clWhite;
 image1.Canvas.FillRect(Rect(0,0,image1.Width,image1.Height));
 image1.Canvas.Pen.Color := clBlack;
end;

procedure TForm1.finishClick(Sender: TObject);
begin
 Application.Terminate;
end;

procedure TForm1.lineClick(Sender: TObject);
var x,y,x1,y1:integer;
begin
 x := random(image1.Width);
 y := random(image1.Height);
 x1 := random(image1.Width);
 y1 := random(image1.Height);
 image1.Canvas.MoveTo(x,y);
 image1.Canvas.LineTo(x1,y1);
end;

procedure TForm1.circleClick(Sender: TObject);
var x,y,r:integer;
 brush:TBrush;
begin
 x := random(image1.Width);
 y := random(image1.Height);
 r := random(image1.Height div 2);
 brush := image1.Canvas.Brush;
 image1.Canvas.Brush.Style := bsClear;
 image1.Canvas.Ellipse(x-r,y-r,x+r,y+r);
 image1.Canvas.Brush := brush;
end;

procedure TForm1.rectangleClick(Sender: TObject);
var x, y, x1, y1: integer;
    brush: TBrush;
begin
 x := random(image1.Width);
 y := random(image1.Height);
 x1 := random(image1.Width);
 y1 := random(image1.Height);
 brush := image1.Canvas.Brush;
 image1.Canvas.Brush.Style:= bsClear;
 image1.Canvas.Rectangle(x,y,x1,y1);
 image1.Canvas.Brush := brush;
end;

end.

